package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItemdiscountCreateactivityRequest struct {
	/*
	   创建活动请求入参     */
	Param *domain.AlibabaWdkMarketingItemdiscountCreateactivityItemDiscountActivityRequest `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingItemdiscountCreateactivityRequest) SetParam(v domain.AlibabaWdkMarketingItemdiscountCreateactivityItemDiscountActivityRequest) *AlibabaWdkMarketingItemdiscountCreateactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingItemdiscountCreateactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItemdiscountCreateactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
